org.apache.axiom.util.stax.wrapper

## Class XMLOutputFactoryWrapper

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLOutputFactoryWrapper

- Direct Known Subclasses:
    ImmutableXMLOutputFactory, WrappingXMLOutputFactory

      public class XMLOutputFactoryWrapper
      extends javax.xml.stream.XMLOutputFactory

  Base class for `XMLOutputFactory` wrappers. The class provides default implementations for all methods. Each of them calls the corresponding method in the parent factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLOutputFactory

      `IS_REPAIRING_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLOutputFactoryWrapper(javax.xml.stream.XMLOutputFactory parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(OutputStream stream)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(OutputStream stream, String encoding)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(Result result)`
    `javax.xml.stream.XMLEventWriter` | `createXMLEventWriter(Writer stream)`
    `javax.xml.stream.XMLStreamWriter` | `createXMLStreamWriter(OutputStream stream)`
    `javax.xml.stream.XMLStreamWriter` | `createXMLStreamWriter(OutputStream stream, String encoding)`
    `javax.xml.stream.XMLStreamWriter` | `createXMLStreamWriter(Result result)`
    `javax.xml.stream.XMLStreamWriter` | `createXMLStreamWriter(Writer stream)`
    `Object` | `getProperty(String name)`
    `boolean` | `isPropertySupported(String name)`
    `void` | `setProperty(String name, Object value)`

    - ### Methods inherited from class javax.xml.stream.XMLOutputFactory

      `newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLOutputFactoryWrapper

          public XMLOutputFactoryWrapper(javax.xml.stream.XMLOutputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(OutputStream stream,
                                                                      String encoding)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(OutputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(Result result)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventWriter

          public javax.xml.stream.XMLEventWriter createXMLEventWriter(Writer stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamWriter

          public javax.xml.stream.XMLStreamWriter createXMLStreamWriter(OutputStream stream,
                                                                        String encoding)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamWriter

          public javax.xml.stream.XMLStreamWriter createXMLStreamWriter(OutputStream stream)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamWriter

          public javax.xml.stream.XMLStreamWriter createXMLStreamWriter(Result result)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamWriter

          public javax.xml.stream.XMLStreamWriter createXMLStreamWriter(Writer stream)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getProperty

          public Object getProperty(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `IllegalArgumentException`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in class `javax.xml.stream.XMLOutputFactory`

    - #### setProperty

          public void setProperty(String name,
                                  Object value)
                           throws IllegalArgumentException

      Specified by:
        `setProperty` in class `javax.xml.stream.XMLOutputFactory`
      Throws:
        `IllegalArgumentException`

Copyright © The Apache Software Foundation. All Rights Reserved.